Skip to main content
GET
Retrieve a workspace notification

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
workspace_notification_id
string<uuid>
required

Workspace notification ID

Required string length: 36
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Query Parameters

fields
string

Response fields separated by commas.

Maximum string length: 2048

Response

Workspace notification retrieved successfully.

id
string<uuid>
required

Workspace notification ID

severity
enum<string> | null

Notification severity.

Available options:
informative,
maintenance,
issue
target
enum<string> | null

Notification destination.

Available options:
workspaces,
sessions,
users
status
enum<string> | null

Notification status.

Available options:
pending,
generated,
closing,
manually_closed,
error,
expired
time_zone
string | null

Notification time zone.

start_date_utc
string<date-time> | null

Start date and time in UTC.

end_date_utc
string<date-time> | null

End date and time in UTC.

message
string | null

Notification message.

ask_for_acknowledgement
boolean | null

Indicates if acknowledgment is requested.

accepted_by_users
number | null

Number of users who accepted the notification.

Indicates if the notification blinks.

disable_minimize
boolean | null

Indicates if minimizing the notification is disabled.

tooltip
string | null

Notification help text.

Link associated with the notification.

organization_id
string | null

Identifier of the associated organization.

Required string length: 24
Pattern: ^[0-9a-f]{24}$